namespace IRaCIS.Core.Domain.Models;

[Comment("项目的临床数据")]
[Table("ReadingClinicalDataPDF")]
public class ReadingClinicalDataPDF : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("ReadingClinicalDataId")]
    public ReadingClinicalData ReadingClinicalData { get; set; }
    #endregion

    [Comment("阅片临床数据ID")]
    public Guid ReadingClinicalDataId { get; set; }

    [StringLength(1000)]
    public string Path { get; set; } = string.Empty;
    public string FileName { get; set; } = string.Empty;
    public int Size { get; set; } = 0;

    public string Type { get; set; } = string.Empty;
}
